package cn.sikey.websocket.dal.mysql;

import cn.sikey.websocket.dal.dataobject.MessageRecvDO;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 消息发送接收
 *
 * @author nelson
 */
@Mapper
public interface MessageRecvMapper extends BaseMapper<MessageRecvDO> {

    default void saveMessageRecv(MessageRecvDO messageRecvDO) {
        insert(messageRecvDO);
    }

    default void updateStatusById(Integer status, Long ackId) {
        UpdateWrapper<MessageRecvDO> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("id", ackId);
        updateWrapper.set("status", status);
        update(updateWrapper);
    }
}


